Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.petrinet
Class AblePetriArc

    java.lang.Object
      com.ibm.able.beans.petrinet.AblePetriArc

All Implemented Interfaces:
  java.io.Serializable

public class AblePetriArc
extends java.lang.Object
implements java.io.Serializable

This class represents an arc from a Place to Transition or from a Transition to a Place in a Petri net

See Also:
  Serialized Form

Field Summary
`protected AbleBufferConnection` | `myBufferConnection`
`protected AbleExpression` | `myExpression`
`protected boolean` | `myInhibitorFlag`
`protected int` | `myMultiplicity`
`protected AblePetriNode` | `mySource`
`protected boolean` | `mySourceIsPlace`
`protected AblePetriNode` | `myTarget`

Constructor Summary
`AblePetriArc()` Create an Arc between nodes (Places and Transitions) in a Petri net
`AblePetriArc(AbleExpression theExpression)` Create an Arc between nodes (Places and Transitions) in a Petri net
`AblePetriArc(AblePetriPlace theSource, AblePetriTransition theTarget)`
`AblePetriArc(AblePetriTransition theSource, AblePetriPlace theTarget)`

Method Summary
`void` | `addTokens(java.util.Vector theTokens)` Add N tokens to the output place.
`int` | `getMultiplicity()`
`AblePetriNode` | `getSource()`
`AblePetriNode` | `getTarget()`
`boolean` | `isEnabled()`
`boolean` | `isInhibitory()`
`java.util.Vector` | `removeTokens()`
`void` | `setBufferConnection(AbleBufferConnection theConnection)` Associate this arc with an AbleBufferConnection object.
`void` | `setInhibitory(boolean theFlag)`
`void` | `setMultiplicity(int theCount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myExpression

    protected AbleExpression myExpression

### mySource

    protected AblePetriNode mySource

### myTarget

    protected AblePetriNode myTarget

### myInhibitorFlag

    protected boolean myInhibitorFlag

### mySourceIsPlace

    protected boolean mySourceIsPlace

### myMultiplicity

    protected int myMultiplicity

### myBufferConnection

    protected AbleBufferConnection myBufferConnection

Constructor Detail

### AblePetriArc

    public AblePetriArc()

  Create an Arc between nodes (Places and Transitions) in a Petri net

### AblePetriArc

    public AblePetriArc(AbleExpression theExpression)

  Create an Arc between nodes (Places and Transitions) in a Petri net

### AblePetriArc

    public AblePetriArc(AblePetriPlace theSource,
                        AblePetriTransition theTarget)

Parameters:
  `theSource` -
  `theTarget` -

### AblePetriArc

    public AblePetriArc(AblePetriTransition theSource,
                        AblePetriPlace theTarget)

Parameters:
  `theSource` -
  `theTarget` -

Method Detail

### setInhibitory

    public void setInhibitory(boolean theFlag)

  Parameters:
    `theFlag` -

### isInhibitory

    public boolean isInhibitory()

  Returns:

### getSource

    public AblePetriNode getSource()

### getTarget

    public AblePetriNode getTarget()

### setMultiplicity

    public void setMultiplicity(int theCount)

### getMultiplicity

    public int getMultiplicity()

### isEnabled

    public boolean isEnabled()

### removeTokens

    public java.util.Vector removeTokens()

### addTokens

    public void addTokens(java.util.Vector theTokens)

  Add N tokens to the output place. Note: The tokens are removed from theTokens

  Parameters:
    `theTokens` -

### toString

    public java.lang.String toString()

### setBufferConnection

    public void setBufferConnection(AbleBufferConnection theConnection)

  Associate this arc with an AbleBufferConnection object. Used so we can set/get the multiplicty from Eclipse agent editor

  Parameters:
    `theConnection` -

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005